Package com.stardog.stark.query

# Class Datasets.DatasetImpl.Builder

java.lang.Object
com.stardog.stark.query.Datasets.DatasetImpl.Builder

Enclosing class:
  `Datasets.DatasetImpl`

public static final class Datasets.DatasetImpl.Builder extends Object

A builder for a `Dataset`.

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Dataset`
  `build()`
  Build the dataset.
  `Datasets.DatasetImpl.Builder`
  `defaultGraphs(Resource theGraph, Resource... theOtherGraphs)`
  Specify the default graphs which are a part of the dataset
  `Datasets.DatasetImpl.Builder`
  `defaultGraphs(Iterable<? extends Resource> theGraphs)`
  Specify the default graphs which are a part of the dataset
  `Datasets.DatasetImpl.Builder`
  `defaultRemoveGraphs(Resource theRemoveGraph, Resource... theOtherGraphs)`
  Specify the graphs data is to be removed from.
  `Datasets.DatasetImpl.Builder`
  `defaultRemoveGraphs(Iterable<? extends Resource> theRemoveGraphs)`
  Specify the graphs data is to be removed from
  `Datasets.DatasetImpl.Builder`
  `exclude(Resource graph)`
  `Datasets.DatasetImpl.Builder`
  `excludeGraphs(Iterable<? extends Resource> theGraphs)`
  `Datasets.DatasetImpl.Builder`
  `insertGraph(Resource theGraph)`
  Specify the insert graph.
  `Datasets.DatasetImpl.Builder`
  `namedGraphs(Resource theGraph, Resource... theOtherGraphs)`
  Specify the named graphs which are a part of the dataset.
  `Datasets.DatasetImpl.Builder`
  `namedGraphs(Iterable<? extends Resource> theGraphs)`
  Sepcify the named graphs which are a part of the dataset

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### defaultRemoveGraphs

    @Nonnull public Datasets.DatasetImpl.Builder defaultRemoveGraphs(@Nonnull Resource theRemoveGraph, @Nonnull Resource... theOtherGraphs)
    Specify the graphs data is to be removed from.
    Parameters:
      `theRemoveGraph` - the graph to remove from
      `theOtherGraphs` - additional graphs
    Returns:
      this builder

  - ### defaultRemoveGraphs

    @Nonnull public Datasets.DatasetImpl.Builder defaultRemoveGraphs(@Nonnull Iterable<? extends Resource> theRemoveGraphs)
    Specify the graphs data is to be removed from
    Parameters:
      `theRemoveGraphs` - the graphs to remove data from
    Returns:
      this builder

  - ### insertGraph

    @Nonnull public Datasets.DatasetImpl.Builder insertGraph(@Nonnull Resource theGraph)
    Specify the insert graph.
    Parameters:
      `theGraph` - the graph data will be inserted into
    Returns:
      this builder

  - ### defaultGraphs

    @Nonnull public Datasets.DatasetImpl.Builder defaultGraphs(@Nonnull Resource theGraph, @Nonnull Resource... theOtherGraphs)
    Specify the default graphs which are a part of the dataset
    Parameters:
      `theGraph` - the graph
      `theOtherGraphs` - the addtional graphs
    Returns:
      this builder

  - ### defaultGraphs

    @Nonnull public Datasets.DatasetImpl.Builder defaultGraphs(@Nonnull Iterable<? extends Resource> theGraphs)
    Specify the default graphs which are a part of the dataset
    Parameters:
      `theGraphs` - the graphs
    Returns:
      this builder

  - ### namedGraphs

    @Nonnull public Datasets.DatasetImpl.Builder namedGraphs(@Nonnull Resource theGraph, @Nonnull Resource... theOtherGraphs)
    Specify the named graphs which are a part of the dataset.
    Parameters:
      `theGraph` - the graph
      `theOtherGraphs` - additional graphs
    Returns:
      this builder

  - ### namedGraphs

    @Nonnull public Datasets.DatasetImpl.Builder namedGraphs(@Nonnull Iterable<? extends Resource> theGraphs)
    Sepcify the named graphs which are a part of the dataset
    Parameters:
      `theGraphs` - the graphs
    Returns:
      this builder

  - ### excludeGraphs

    public Datasets.DatasetImpl.Builder excludeGraphs(@Nonnull Iterable<? extends Resource> theGraphs)

  - ### exclude

    public Datasets.DatasetImpl.Builder exclude(@Nonnull Resource graph)

  - ### build

    @Nonnull public Dataset build()
    Build the dataset.
    Returns:
      the new Dataset